Bug 72254 - RFE: kernel-uml needs some uml utilities to be useful
Summary: RFE: kernel-uml needs some uml utilities to be useful
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: distribution (Show other bugs)
(Show other bugs)
Version: null
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Preston Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-22 13:09 UTC by Michael Young
Modified: 2014-03-17 02:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-23 01:17:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Young 2002-08-22 13:09:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
I have been playing with building a mini (null) as a user mode subsystem, and I
think the parent (null) system needs at least some of the programs in the
uml_utilities package (available from
http://prdownloads.sourceforge.net/user-mode-linux/
), and in particular the port-helper program, for the child system to be used in
any meaningful way. Hence I think there should be a uml_utilities package in
(null), though I guess it is a bit late in the release cycle to be asking for it.

Comment 1 Michael Young 2002-08-22 19:22:24 UTC
I should perhaps explain why you need the port-helper program. Basically it is
the utility that allows you to talk to the child system, indeed the uml kernel
by default starts xterms that run /usr/lib/uml/port-helper, to provide access to
the child's virtual consoles. If the utility isn't there these xterms just drop
through to the parent system. So you can start the child system without this
utility, but you can't interact with it.

Comment 2 Preston Brown 2002-08-27 18:52:28 UTC
now included.


Note You need to log in before you can comment on or make changes to this bug.